# Claimables

{% hint style="info" %}
**Did you know?** We used the Claimables API to build our very own user-facing Claimables product at [bankless.com/claimables](https://www.bankless.com/claimables). Enter your wallet to see this endpoint working in the real world!
{% endhint %}

### Introduction

This endpoint returns a list of Claimables for a given wallet address, currently supporting EVM, Solana and Cosmos. [Read our FAQs](/bankless-api/useful-resources/faqs.md) to learn more about what Claimables are.

```
GET /claimables/{address}
```

***

### Response Parameters

<table><thead><tr><th width="242">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>type</td><td><code>string</code></td><td>The type of claimable. Options are <code>airdrop</code>, <code>reward</code>, <code>alert</code>, <code>governance-vote</code>, <code>poap</code>, <code>mint</code></td></tr><tr><td>walletAddress</td><td><code>string</code></td><td>The address of the wallet that can claim this asset.</td></tr><tr><td>supplier.name</td><td><code>string</code></td><td>The name of the company or protocol associated with the asset.</td></tr><tr><td>supplier.imageUrl</td><td><code>string</code></td><td>The URL of the image representing the company or protocol.</td></tr><tr><td>title</td><td><code>string</code></td><td>A title of the asset.</td></tr><tr><td>description</td><td><code>string</code></td><td>A description of the asset.</td></tr><tr><td>claimStatus</td><td><code>ClaimStatus</code></td><td>One of three options: <code>claimed</code>, <code>unclaimed</code>, <code>expired</code></td></tr><tr><td>imageUrl</td><td><code>string</code></td><td>The URL of an image that represents the asset.</td></tr><tr><td>action</td><td><code>object</code></td><td>Information about the action available for this opportunity.</td></tr><tr><td>action.type</td><td><code>string</code></td><td>The type of action associated with the asset. Options: <code>claim</code>, <code>vote</code>, <code>alert</code></td></tr><tr><td>action.url</td><td><code>string</code></td><td>The URL to take action on the asset.</td></tr><tr><td>worth.worthUSDFloat</td><td><code>number</code></td><td>The worth of the asset in USD as a float value.</td></tr><tr><td>worth.worthUSDString</td><td><code>string</code></td><td>The worth of the asset in USD as a string value.</td></tr><tr><td>worth.hasWorth</td><td><code>boolean</code></td><td>Indicates if the asset’s worth can be calculated in USD or not.</td></tr><tr><td>expires</td><td><code>number | null</code></td><td>The epoch date of when the asset expires</td></tr><tr><td>tokenAmount</td><td><code>number | undefined</code></td><td>Token amount the wallet is eligible for</td></tr><tr><td>tokenName</td><td><code>string | undefined</code></td><td>Token symbol</td></tr><tr><td>createdAt</td><td><code>number</code></td><td>Unix epoch in milliseconds for when the claimable was added</td></tr></tbody></table>

***

### Example Request

```
curl 'https://api.bankless.com/claimables/0x469b33E0B70725184175750920AfD81B4BD94619'
```

***

### Example Response

```json
[
    {
        "type": "airdrop",
        "title": "Degen Season 1 Airdrop 2",
        "action": {
            "url": "https://www.degen.tips/airdrop2/season2",
            "onEarnifi": false,
            "type": "claim"
        },
        "claimStatus": "expired",
        "description": "Degen's second round of first season airdrops for users who tipped and received tips using $degen on Warpcast.",
        "walletAddress": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
        "supplier": {
            "name": "Degen",
            "imageUrl": "https://banklesspublic.b-cdn.net/claimables/9jrvP_yG_400x400.jpg"
        },
        "imageUrl": "https://banklesspublic.b-cdn.net/claimables/9jrvP_yG_400x400.jpg",
        "expires": 1711843200000,
        "tokenAmount": 568508,
        "tokenName": "DEGEN",
        "worth": {
            "worthUSDFloat": 12328,
            "worthUSDString": "$12,328",
            "hasWorthInUSD": true
        },
        "created": 1677628800000
    }
]
```

***

### Permissions

This endpoint requires you to have [the **CLAIMABLES** permission](/bankless-api/authentication.md).

***

### Real Use Cases

Here's some real life use cases of products and features using the Claimables API, in production today:

* [Bankless.com/claimables](https://www.bankless.com/claimables) - Claimables is the user-facing version of this API, fully utilising the exact same API documented here to deliver value to over 400,000 Bankless accounts, finding an average of over $800 worth of onchain value for Bankless accounts.
* [Etherscan](https://etherscan.io/address/0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045#cards) - Etherscan built an "Airdrops & Claimables" card to surface all of the unclaimed Claimables on individual wallet pages.
* [Farcaster Frame](https://warpcast.com/bankless/0xca3e17df) - We harnessed the power of the Claimables API into a Farcaster Frame, unlocking real onchain value to numerous Farcaster users.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bankless.com/bankless-api/endpoints/claimables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
